Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdItems

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdItems

    public class cmdItems
    extends DatecsFiscalDevice

Class for Defining and reading items

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdItems.ItemModel` | Data Class for Item Data
  `static class` | `cmdItems.ItemsInfo` | Store info of device items-data base.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdItems()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `DelAllItems()` | Deleting All Device items
  `boolean` | `DelItemsInRange​(int fromItem, int toItem)` | Items deleting
  `cmdItems.ItemModel` | `GetFirstFoundProgrammed​(int startItem)` | Returns data about the first found programmed item
  `cmdItems.ItemModel` | `GetFirstFoundWithSales​(int startItem)` | Returns data about the first found item with sales on it
  `int` | `GetFirstNotProgrammed​(int itemID)` | Find the first not programmed item
  `cmdItems.ItemsInfo` | `GetItemsInformation()` | Read the Device Items PLU data-base info.
  `cmdItems.ItemModel` | `GetLastFoundProgrammed​(int startItem)` | Returns data about the last found programmed item
  `cmdItems.ItemModel` | `GetLastFoundWithSales​(int startItem)` | Returns data about the last found item with sales on it
  `int` | `GetLastNotProgrammed​(int itemID)` | Find the last not programmed item
  `cmdItems.ItemModel` | `GetNextFoundWithSales()` | Returns data for the next found item with sales on it;
  `cmdItems.ItemModel` | `GetNextProgrammed()` | Returns data for the next found programmed item
  `cmdItems.ItemModel` | `ReadItem​(int itemID)` | Reading item data
  `void` | `SetItem​(cmdItems.ItemModel item)` |
  `void` | `SetItem​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String name)` |
  `void` | `SetItemQuantity​(int itemID, java.lang.Double quantity)` | Change of the available quantity for item

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdItems

    public cmdItems()

- ## Method Details

  - ### DelAllItems

    public boolean DelAllItems() throws java.lang.Exception
    Deleting All Device items
    Returns:
    Throws:
      `java.lang.Exception`

  - ### SetItem

    public void SetItem​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String name) throws java.lang.Exception
    Parameters:
      `PLU` - - Item number (1...3000)
      `taxGr` - - VAT group (letter 'A'...'H' or cyrillic);
      `dep` - - Department (0...99);
      `group` - - Stock group (1...99);
      `priceType` - - Price type ('0' - fixed price, '1' - free price, '2' - max price) ;
      `price` - - Price ( 0.00...9999999.99 or 0...999999999 depending dec point position );
      `addQty` - - A byte with value 'A'
      `quantity` - - Stock quantity (0.001...99999.999);
      `bar1` - - Barcode X ( up to 13 digits );
      `bar2` -
      `bar3` -
      `bar4` -
      `name` -
    Throws:
      `java.lang.Exception`

  - ### SetItem

    public void SetItem​(cmdItems.ItemModel item) throws java.lang.Exception
    Parameters:
      `item` - ItemModel
    Throws:
      `java.lang.Exception`

  - ### SetItemQuantity

    public void SetItemQuantity​(int itemID, java.lang.Double quantity) throws java.lang.Exception
    Change of the available quantity for item
    Parameters:
      `itemID` - - Item number (1...3000);
      `quantity` - - Stock quantity (0.001...99999.999);
    Throws:
      `java.lang.Exception`

  - ### DelItemsInRange

    public boolean DelItemsInRange​(int fromItem, int toItem) throws java.lang.Exception
    Items deleting
    Parameters:
      `fromItem` - - First item to delete
      `toItem` - - Last item to delete -Use toItem=0 to delete item in index 'fromItem'
    Throws:
      `java.lang.Exception`

  - ### ReadItem

    public cmdItems.ItemModel ReadItem​(int itemID) throws java.lang.Exception
    Reading item data
    Parameters:
      `itemID` - - Item number (1...3000);
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstFoundProgrammed

    public cmdItems.ItemModel GetFirstFoundProgrammed​(int startItem) throws java.lang.Exception
    Returns data about the first found programmed item
    Parameters:
      `startItem` - Item number (1...3000) Default: 0
    Throws:
      `java.lang.Exception`

  - ### GetLastFoundProgrammed

    public cmdItems.ItemModel GetLastFoundProgrammed​(int startItem) throws java.lang.Exception
    Returns data about the last found programmed item
    Parameters:
      `startItem` - Item number (1...3000). Default: 3000;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetNextProgrammed

    public cmdItems.ItemModel GetNextProgrammed() throws java.lang.Exception
    Returns data for the next found programmed item
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstFoundWithSales

    public cmdItems.ItemModel GetFirstFoundWithSales​(int startItem) throws java.lang.Exception
    Returns data about the first found item with sales on it
    Parameters:
      `startItem` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastFoundWithSales

    public cmdItems.ItemModel GetLastFoundWithSales​(int startItem) throws java.lang.Exception
    Returns data about the last found item with sales on it
    Parameters:
      `startItem` - - Item number (1...3000). Default: 3000;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetNextFoundWithSales

    public cmdItems.ItemModel GetNextFoundWithSales() throws java.lang.Exception
    Returns data for the next found item with sales on it;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstNotProgrammed

    public int GetFirstNotProgrammed​(int itemID) throws java.lang.Exception
    Find the first not programmed item
    Parameters:
      `itemID` - Item number(1...3000). Default: 0;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastNotProgrammed

    public int GetLastNotProgrammed​(int itemID) throws java.lang.Exception
    Find the last not programmed item
    Parameters:
      `itemID` - Item number (1...3000). Default: 3000;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetItemsInformation

    public cmdItems.ItemsInfo GetItemsInformation() throws java.lang.Exception
    Read the Device Items PLU data-base info.
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`
      `java.lang.Exception`